<?php

require_once("tests/StandardUnitTestAbstract.php");

class PHP_PhpTagTest extends StandardUnitTestAbstract
{
	
	public function setUp(){
		$this->phpParam = "short_open_tag=true";
		$this->sniffs = array(
		    'Zend.Files.ClosingTag',
		    'Generic.PHP.DisallowShortOpenTag'
		);
	}

    /**
     * Returns the lines where errors should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of errors that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getErrorList()
    {
        return Array(
        	7 => 1,
        	11 => 1,
        );

    }//end getErrorList()


    /**
     * Returns the lines where warnings should occur.
     *
     * The key of the array should represent the line number and the value
     * should represent the number of warnings that should occur on that line.
     *
     * @return array(int => int)
     */
    public function getWarningList()
    {
        return array();

    }//end getWarningList()


}//end class